class Item < ApplicationRecord
  has_many :borrows
  has_many :users,  through: :borrows
  has_one :image

  def self.get_page(page, q = nil, user = nil)
    #Item.all
    if q.nil? || q == 'a' || user.nil?
      items = Item.all
    elsif !user.nil? && q == 'h'
      items = user.historic_items
      user.borrows.where.not(return_time: nil).each do |b| items << b.item end
    elsif !user.nil? && q == 'c'
      items = user.current_items
    end
    items.paginate(page: page, per_page: 4)
  end

  def self.borrow(item, user)
    @item = Item.find item
    @item.return_time = Time.now

    @item.save
  end

  def self.return(item, user)
  end
end
