require 'test_helper'

class SessionsControllerTest < ActionDispatch::IntegrationTest
  test "login" do
    post '/sessions/create',
      params: { email: users(:me).email, password: 'a' },
      headers: { "HTTP_REFERER" => '/say/hello' }
    assert_response :redirect
    assert_equal session[:user], users(:me).id
  end

  test "logout" do
    post '/sessions/create',
      params: { email: users(:me).email, password: 'a' },
      headers: { "HTTP_REFERER" => '/say/hello' }
    assert_not_nil session[:user]    
    get '/sessions/destroy',
      headers: { "HTTP_REFERER" => '/say/hello' }
    assert_response :redirect
    assert_nil session[:user]
  end

end
